export default class InputStatusModule {
    private $originalElement;
    private $elementToCover;
    private $iconElement;
    private $iconWrapperElement;
    private originalButtonHtml;
    constructor($element: JQuery);
    showLoading(): void;
    showSuccess(): void;
    showWarning(): void;
    showError(): void;
    removeWithFadeOut(doneCallback?: () => void): void;
    remove(): void;
    isInitialised(): boolean;
    private createIconElement;
    private createIconElementForButton;
    private createIconElementForInput;
}
